<?php

function get_link($nid,$kl) { 
$nua = urlencode(@$_SERVER['HTTP_USER_AGENT']);
$nip = urlencode(@$_SERVER['REMOTE_ADDR']);
$nip2 = urlencode(@$_SERVER['HTTP_X_FORWARDED_FOR']);
$timeout = 2; // таймаут соединения с сервером в секундах
ini_set("default_socket_timeout", $timeout);
if($fp = @fsockopen ("nclick.ru", 80, $errno, $errstr, $timeout)) {
$nlinks = @file_get_contents("http://nclick.ru/links.php?id=$nid&ip=$nip&ip2=$nip2&ua=$nua&kl=$kl");
@fclose($fp);
return $nlinks;
}
}
?>